/* Mars28.h, 8 x 28 scalable LCARS font */
/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */

#ifndef MARS28_H
#define MARS28_H


#include "cropcirc.h"

BITMAP *marsbmp;

void MarsFadeUp(int x, int y, int Hue, int range);
void MarsFadeDown(int x, int y, int Hue, int range);
int UphillHinting(int slant,int x,int y,float th);
int DownhillHinting(int slant,int x,int y,float th);
int Uphill(int slant,int x,int y,float th);
int Downhill(int slant,int x,int y,float th);
void WfSoftCap(int x, int y);
void WfSoftFoot(int x, int y);
void Smooth1(int x, int y);
void Smooth2(int x, int y);
void WfClean(int x, int y);
int WfSpace();
int WfExclamPoint(int x,int y);
int WfApostrophe(int x,int y);
int WfPlusSign(int x,int y);
int WfComma(int x,int y);
int WfHyphen(int x,int y);
int WfPeriod(int x,int y);
int WfSlash(int x,int y);
int Wf0(int x,int y);
int Wf1(int x,int y);
int Wf2(int x,int y);
int Wf3(int x,int y);
int Wf4(int x,int y);
int Wf5(int x,int y);
int Wf6(int x,int y);
int Wf7(int x,int y);
int Wf8(int x,int y);
int Wf9(int x,int y);
int WfColon(int x,int y);
int WfA(int x,int y);
int WfB(int x,int y);
int WfC(int x,int y);
int WfD(int x,int y);
int WfE(int x,int y);
int WfF(int x,int y);
int WfG(int x,int y);
int WfH(int x,int y);
int WfI(int x,int y);
int WfJ(int x,int y);
int WfK(int x,int y);
int WfL(int x,int y);
int WfM(int x,int y);
int WfN(int x,int y);
int WfO(int x,int y);
int WfP(int x,int y);
int WfQ(int x,int y);
int WfR(int x,int y);
int WfS(int x,int y);
int WfT(int x,int y);
int WfU(int x,int y);
int WfV(int x,int y);
int WfW(int x,int y);
int WfX(int x,int y);
int WfY(int x,int y);
int WfZ(int x,int y);
int Special(int x,int y);
void MarsF(int x,int y,int Size,int ForeColor,int BackColor,char *cStr);
int StrLenMars(int s,char *cStr);

#endif

